# Class VizierCatalog

java.lang.Object
uk.ac.starlink.topcat.vizier.VizierCatalog

All Implemented Interfaces:
  `Queryable`

public class VizierCatalog extends Object implements Queryable
Constains all known information about a catalogue resource.

Since:
  3 Nov 2009
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getAstros()`
Returns astronomy type categories covered by this catalogue.
`Integer`
`getCpopu()`
Returns popularity as number of calls.
`Integer`
`getDensity()`
Returns measure of density (on sky?).
`String`
`getDescription()`
Returns catalogue description.
`Float`
`getIpopu()`
Returns popularity score.
`String[]`
`getLambdas()`
Returns wavelength categories covered by this catalogue.
`String`
`getName()`
Returns catalogue name.
`String`
`getQueryId()`
Returns a short name suitable for presentation to the user to represent the name of the catalogue.
`String`
`getQuerySource()`
Returns the source name of the catalogue, as presented to the VizieR server's `-source` parameter.
`Long`
`getRowCount()`
Returns the number of rows reported for this table.
`Integer`
`getTableCount()`
Returns the number of tables reported for this catalog.
`void`
`setRowCount(Long nRow)`
Sets the number of rows reported for this table.
`void`
`setTableCount(int nTable)`
Sets the number of tables reported for this catalog.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getName

public String getName()
Returns catalogue name.

Returns:
  name

### getDescription

public String getDescription()
Returns catalogue description.

Returns:
  description

### getDensity

public Integer getDensity()
Returns measure of density (on sky?).

Returns:
  density

### getLambdas

public String[] getLambdas()
Returns wavelength categories covered by this catalogue.

Returns:
  terms from wavelength controlled vocabulary

### getAstros

public String[] getAstros()
Returns astronomy type categories covered by this catalogue.

Returns:
  terms from astronomy controlled vocabulary

### getCpopu

public Integer getCpopu()
Returns popularity as number of calls.

Returns:
  integer giving popularity

### getIpopu

public Float getIpopu()
Returns popularity score.

Returns:
  float giving popularity

### setTableCount

public void setTableCount(int nTable)
Sets the number of tables reported for this catalog. Only makes much sense for a top-level entry.

Parameters:
  `nTable` - number of subordinate tables

### getTableCount

public Integer getTableCount()
Returns the number of tables reported for this catalog.

Returns:
  number of subordinate tables

### setRowCount

public void setRowCount(Long nRow)
Sets the number of rows reported for this table. Only makes much sense for a single table.

Parameters:
  `nRow` - row count

### getRowCount

public Long getRowCount()
Returns the number of rows reported for this table.

Returns:
  row count

### getQuerySource

public String getQuerySource()
Description copied from interface: `Queryable`
Returns the source name of the catalogue, as presented to the VizieR server's `-source` parameter.

Specified by:
  `getQuerySource` in interface `Queryable`
Returns:
  source string

### getQueryId

public String getQueryId()
Description copied from interface: `Queryable`
Returns a short name suitable for presentation to the user to represent the name of the catalogue.

Specified by:
  `getQueryId` in interface `Queryable`
Returns:
  identifier string